#### PyKDE - Python Bindings for KDE

# class KShred |
Table of contents
Modules
tdeio Classes
All Classes

Module | tdeio
Class | KShred
Inherits | TQObject

### methods

- KShred (fileName)

  returns a KShred instance
  Argument | Type | Default
  --- | --- | ---
  fileName | TQString |

- fill0s ()

  returns (bool)

- fill1s ()

  returns (bool)

- fillbyte (byte)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  byte | uint |

- fillpattern (pattern, size)

  returns (bool)
  Argument | Type | Default
  --- | --- | ---
  pattern | uchar |
  size | uint |

- fillrandom ()

  returns (bool)

- infoMessage (message)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  message | TQString |

- processedSize (bytes)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  bytes | _TDEIO.filesize_t |

- shred ()

  returns (bool)

- shred (fileName)

  returns (bool)
  static
  Argument | Type | Default
  --- | --- | ---
  fileName | TQString |